<?php

namespace App\Modules\ExternalReviewProvider\Application;

use App\Modules\ExternalReviewProvider\Domain\ExternalReviewProvider;
use App\Modules\ExternalReviewProvider\Domain\ExternalReviewProviderRepository;

class ExternalReviewProviderUpdater
{

    private ExternalReviewProviderRepository $repository;

    public function __construct(ExternalReviewProviderRepository $repository)
    {
        $this->repository = $repository;
    }

    public function __invoke(ExternalReviewProvider $htlCamp)
    {
        return $this->repository->update($htlCamp);
    }
}
